Freeciv-3.1: qfc_dialog Class Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Private Attributes
qfc_dialog Class Reference

`#include <dialogs.h>`

Inheritance diagram for qfc_dialog:

## Public Member Functions

| qfc_dialog (QWidget *parent)
void | reactivate ()

## Protected Member Functions

void | paintEvent (QPaintEvent *event)
void | mouseMoveEvent (QMouseEvent *event)
void | mousePressEvent (QMouseEvent *event)
void | mouseReleaseEvent (QMouseEvent *event)

## Private Attributes

int | titlebar_height
QPoint | point
bool | moving_now
QPixmap | close_pix

## Detailed Description

Definition at line 73 of file dialogs.h.

## Constructor & Destructor Documentation

## ◆ qfc_dialog()

qfc_dialog::qfc_dialog | ( | QWidget * | parent | ) |

Constructor for custom dialog with themed titlebar

Definition at line 310 of file dialogs.cpp.

## Member Function Documentation

## ◆ mouseMoveEvent()

void qfc_dialog::mouseMoveEvent | ( | QMouseEvent * | event | ) |

protected

Mouse move event for themed titlebar (moves dialog with left mouse)

Definition at line 371 of file dialogs.cpp.

## ◆ mousePressEvent()

void qfc_dialog::mousePressEvent | ( | QMouseEvent * | event | ) |

protected

Mouse press event - catches left click

Definition at line 381 of file dialogs.cpp.

## ◆ mouseReleaseEvent()

void qfc_dialog::mouseReleaseEvent | ( | QMouseEvent * | event | ) |

protected

Mouse release event for themed dialog

Definition at line 401 of file dialogs.cpp.

## ◆ paintEvent()

void qfc_dialog::paintEvent | ( | QPaintEvent * | event | ) |

protected

Paint event for themed dialog

Definition at line 330 of file dialogs.cpp.

## ◆ reactivate()

void qfc_dialog::reactivate | ( |  | ) |

Existing dialog requested again.

Definition at line 322 of file dialogs.cpp.

Referenced by option_dialog_popup(), and popup_help_dialog_typed().

## Field Documentation

## ◆ close_pix

QPixmap qfc_dialog::close_pix

private

Definition at line 83 of file dialogs.h.

Referenced by mousePressEvent(), paintEvent(), and qfc_dialog().

## ◆ moving_now

bool qfc_dialog::moving_now

private

Definition at line 82 of file dialogs.h.

Referenced by mouseMoveEvent(), mousePressEvent(), mouseReleaseEvent(), and qfc_dialog().

## ◆ point

QPoint qfc_dialog::point

private

Definition at line 81 of file dialogs.h.

Referenced by mouseMoveEvent(), and mousePressEvent().

## ◆ titlebar_height

int qfc_dialog::titlebar_height

private

Definition at line 80 of file dialogs.h.

Referenced by mousePressEvent(), paintEvent(), and qfc_dialog().